%define debug 0
%define final 0

%define qt_version 3.3.3
%define kde_version 3.3.0

%define redhatify 1

%define libtool 1

%define buildall 0

Name: koffice
Version: 1.3.3
Release: 1
Epoch: 4
URL: http://koffice.kde.org/
Summary: A set of office applications for KDE.
Group: User Interface/Desktops
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot

Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-i18n-%{version}.tar.bz2
Source2: koshell.png
Source3: subdirs-koffice

Patch0: kde-libtool.patch
Patch1: koffice-1.2.94-fPIC.patch
Patch2: koffice-1.3-menu.patch 
Patch3: koffice-1.3.1-rpath.patch

Prereq: kdelibs >= 6:%{kde_version}

Obsoletes: killustrator
Obsoletes: kivio

Requires(post,postun): /sbin/ldconfig
Requires: kdelibs >= 6:%{kde_version}
Requires: kdebase >= 6:%{kde_version}

BuildRequires: kdelibs-devel >= %{kde_version}
BuildRequires: kdebase-devel >= %{kde_version}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: glibc-devel
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: libstdc++-devel
BuildRequires: qt-devel >= %{qt_version}
BuildRequires: perl

%package devel
Summary: Development files for KOffice
Group: Development/Libraries
Requires: qt-devel >= 1:%{qt_version}
Requires: %{name} = %{epoch}:%{version}-%{release}

%package i18n
Summary: Internationalization support for koffice
Group: User Interface/Desktops
Requires: %{name} = %{epoch}:%{version}-%{release}

%description
The koffice package contains the KOffice office-type applications for
the K Desktop Environment (KDE) GUI desktop. KOffice contains KWord, a
word processor; KSpread, a spreadsheet; KPresenter, for presentations;
and KChart, a diagram generator.

%description devel
Development files for KOffice. Install koffice-devel if you want to develop
or compile plugins for KOffice.

%description i18n
Koffice is an Open Source, community-developed, multi-platform office
productivity suite.  This package provides Internationalization support
for Koffice.


%prep
%setup -q
%patch0 -p1 -b .libtool
%patch1 -p1 -b .fPIC
%patch2 -p1 -b .menu
%patch3 -p1 -b .rpath

# Workaround for legacy auto* tools
%if %{libtool}
  make -f admin/Makefile.common cvs
%endif

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -DNO_DEBUG -DNDEBUG"
export KDEDIR=%{_prefix}
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

# koffice
%configure \
%if %{final}
   --enable-final \
%endif
   --disable-rpath \
   --with-qt-libraries=$QTDIR/lib \
   --with-extra-libs=%{_libdir} \
   --includedir=%{_includedir}/kde

make %{?_smp_mflags}

# koffice-i18n
tar jxf %{SOURCE1}
pushd %{name}-i18n-%{version}
%if ! %{buildall}
  rm -rf ar bg bs eo eu fa lt ms mt se sr sq ta th ven vi xh zu
  cp %{SOURCE3} subdirs
%endif
%if %{libtool}
  make -f admin/Makefile.common cvs
%endif
%configure
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT -C %{name}-i18n-%{version} install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/

# Replace absolute symlinks with relative ones
pushd $RPM_BUILD_ROOT%{_docdir}/HTML
for lang in *; do
  if [ -d $lang ]; then
    pushd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../common $i
      fi
    done
    popd
  fi
done
popd

# conflict with kde-i18n
rm -f $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/kdgantt*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_libdir}/*.so.??*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/kde3/*
%{_datadir}/applnk/Office
%{_datadir}/apps/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/templates

%files devel
%defattr(-,root,root)
%{_libdir}/*.so.?
%{_includedir}/kde/*

%files i18n
%defattr(-,root,root)
%{_datadir}/apps/koffice/autocorrect

%lang(af) %{_datadir}/locale/af/LC_MESSAGES/*

%if %{buildall}
%lang(ar) %{_datadir}/locale/ar/LC_MESSAGES/*
%lang(bs) %{_datadir}/locale/bs/LC_MESSAGES/*
%lang(bg) %{_datadir}/locale/bg/LC_MESSAGES/*
%endif

%lang(ca) %{_datadir}/locale/ca/LC_MESSAGES/*
%lang(cs) %{_datadir}/locale/cs/LC_MESSAGES/*
%lang(da) %{_datadir}/locale/da/LC_MESSAGES/*
%lang(da) %doc %{_docdir}/HTML/da/*
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/*
%lang(de) %doc %{_docdir}/HTML/de/*
%lang(el) %{_datadir}/locale/el/LC_MESSAGES/*
%lang(en_GB) %{_datadir}/locale/en_GB/LC_MESSAGES/*
%lang(en_GB) %doc %{_docdir}/HTML/en_GB/*

%if %{buildall}
%lang(eo) %{_datadir}/locale/eo/LC_MESSAGES/*
%endif

%lang(es) %{_datadir}/locale/es/LC_MESSAGES/*
%lang(es) %doc %{_docdir}/HTML/es/*
%lang(et) %{_datadir}/locale/et/LC_MESSAGES/*
%lang(et) %doc %{_docdir}/HTML/et/*

%if %{buildall}
%lang(fa) %{_datadir}/locale/fa/LC_MESSAGES/*
%endif

%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/*
%lang(fr) %doc %{_docdir}/HTML/fr/*
%lang(he) %{_datadir}/locale/he/LC_MESSAGES/*
%lang(hu) %{_datadir}/locale/hu/LC_MESSAGES/*
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/*
%lang(it) %doc %{_docdir}/HTML/it/*
%lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/*

%if %{buildall}
%lang(lo) %{_datadir}/locale/lo/LC_MESSAGES/*
%lang(lt) %{_datadir}/locale/lt/LC_MESSAGES/*
%lang(lv) %{_datadir}/locale/lv/LC_MESSAGES/*
%lang(ms) %{_datadir}/locale/ms/LC_MESSAGES/*
%lang(mt) %{_datadir}/locale/mt/LC_MESSAGES/*
%endif

%lang(nb) %{_datadir}/locale/nb/LC_MESSAGES/*
%lang(nl) %{_datadir}/locale/nl/LC_MESSAGES/*
%lang(nn) %{_datadir}/locale/nn/LC_MESSAGES/*
%lang(pl) %{_datadir}/locale/pl/LC_MESSAGES/*
%lang(pl) %doc %{_docdir}/HTML/pl/*
%lang(pt) %{_datadir}/locale/pt/LC_MESSAGES/*
%lang(pt) %doc %{_docdir}/HTML/pt/*
%lang(pt_BR) %{_datadir}/locale/pt_BR/LC_MESSAGES/*
%lang(pt_BR) %doc %{_docdir}/HTML/pt_BR/*
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/*
%lang(ru) %doc %{_docdir}/HTML/ru/*

%if %{buildall}
%lang(se) %{_datadir}/locale/se/LC_MESSAGES/*
%endif

%lang(sk) %{_datadir}/locale/sk/LC_MESSAGES/*
%lang(sk) %doc %{_docdir}/HTML/sk/*
%lang(sl) %{_datadir}/locale/sl/LC_MESSAGES/*
%lang(sl) %doc %{_docdir}/HTML/sl/*

%if %{buildall}
%lang(sq) %{_datadir}/locale/sq/LC_MESSAGES/*
%lang(sr) %{_datadir}/locale/sr/LC_MESSAGES/*
%endif

%lang(sv) %{_datadir}/locale/sv/LC_MESSAGES/*
%lang(sv) %doc %{_docdir}/HTML/sv/*

%if %{buildall}
%lang(th) %{_datadir}/locale/th/LC_MESSAGES/*
%endif

%lang(tr) %{_datadir}/locale/tr/LC_MESSAGES/*

%if %{buildall}
%lang(ven) %{_datadir}/locale/ven/LC_MESSAGES/*
%endif

%if %{buildall}
%lang(vi) %{_datadir}/locale/vi/LC_MESSAGES/*
%endif

%if %{buildall}
%lang(xh) %{_datadir}/locale/xh/LC_MESSAGES/*
%lang(xh) %doc %{_docdir}/HTML/xh/*
%endif

%lang(zh_CN) %{_datadir}/locale/zh_CN/LC_MESSAGES/*
%lang(zh_TW) %{_datadir}/locale/zh_TW/LC_MESSAGES/*

%if %{buildall}
%lang(zu) %{_datadir}/locale/zu/LC_MESSAGES/*
%endif

%changelog
* Wed Sep 15 2004 Than Ngo <than@redhat.com> 4:1.3.3-1
- update to 1.3.3

* Tue Jul 13 2004 Than Ngo <than@redhat.com> 4:1.3.2-2
- rebuild

* Thu Jul 01 2004 Than Ngo <than@redhat.com> 4:1.3.2-1
- update to 1.3.2

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 4:1.3.1-5
- fix build problem with gcc-3.4

* Fri Jun 18 2004 Than Ngo <than@redhat.com> 4:1.3.1-4
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 13 2004 Than Ngo <than@redhat.com> 1.3.1-2
- get rid of rpath

* Tue May 04 2004 Than Ngo <than@redhat.com> 1.3.1-1
- update to 1.3.1

* Mon May 03 2004 Than Ngo <than@redhat.com> 1.3-6
- cleanup GNOME/KDE menu, add X-KDE-More in Categories
- add some fixes from CVS stable branch

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 25 2004 Than Ngo <than@redhat.com> 4:1.3-5
- add patch files from CVS

* Sat Feb 14 2004 Than Ngo <than@redhat.com> 4:1.3-4
- rebuilt against qt 3.3.0

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 26 2004 Tim Powers <timp@redhat.com> 4:1.3-2
- rebuild to pick up new ImageMagick deps

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 4:1.3-1
- 1.3 release

* Tue Jan 13 2004 Than Ngo <than@redhat.com> 4:1.2.95-3
- fixed conflict problem with kde-i18n

* Fri Jan 09 2004 Than Ngo <than@redhat.com> 4:1.2.95-2
- add missing zh_CN

* Thu Jan 08 2004 Than Ngo <than@redhat.com> 4:1.2.95-1
- 1.3 rc2

* Wed Nov 26 2003 Than Ngo <than@redhat.com> 4:1.2.94-0.3
- koffice-i18n as subpackage
- fixed fPIC problem on x86_64

* Sat Nov 15 2003 Than Ngo <than@redhat.com> 4:1.2.94-0.2
- get rid of koffice-i18n, make koffice-i18n as separate rpm

* Thu Nov 13 2003 Than Ngo <than@redhat.com> 4:1.2.94-0.1
- 1.3 rc1
- cleanup

* Tue Oct 21 2003 Than Ngo <than@redhat.com> 4:1.2.1-15
- rebuild

* Fri Aug 29 2003 Than Ngo <than@redhat.com> 4:1.2.1-14
- fix build problem with gcc 3.3

* Tue Jul  8 2003 Than Ngo <than@redhat.com> 1.2.1-13
- fixed a bug, which caused koffices apps crash
  in Gnome Desktop (bug #76232,#84678,#86479,#80926,#92044)

* Thu Jun 26 2003 Than Ngo <than@redhat.com> 1.2.1-12
- add patch for checking vsnprintf (Sysoltsev Slawa), bug #89142

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 1.2.1-11
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun  4 2003 Than Ngo <than@redhat.com> 1.2.1-9
- fix build with gcc 3.3

* Mon Mar 24 2003 Than Ngo <than@redhat.com> 1.2.1-8
- rebuild against kde 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 20 2003 Than Ngo <than@redhat.com> 1.2.1-4
- get rid of gcc path from dependency_libs
- add requires kdebase, #84678

* Thu Feb 13 2003 Than Ngo <than@redhat.com> 1.2.1-3
- rebuild against new arts

* Mon Jan 27 2003 Than Ngo <than@redhat.com> 1.2.1-2
- fix #81300
- add a patch file, it fixes a crash when closing the "Insert Special Character" dialog,
  and a crash when updating the Table Of Contents
- cleanup specfile

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Than Ngo <than@redhat.com> 1.2.1-1
- cleanup specfile
- remove a patch file, which is in upstream
- dangling symlinks (bug #78089)
- fPIC issue

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 1.2-2
- fix some build problem

* Mon Oct 14 2002 Than Ngo <than@redhat.com> 1.2-1
- 1.2

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 1.2-0.rc1.3
- Add missing desktop files for servicetype

* Fri Aug  9 2002 Than Ngo <than@redhat.com> 1.2-0.rc1.2
- add desktopfix patch file from Harald Hoyer
- desktop file issues

* Tue Aug  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.2-0.rc1.1
- rc1

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 1.2-0.beta2.3
- build using gcc-3.2-0.1

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 1.2-0.beta2.2
- use desktop-file-install

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.1.1-5
- Change sonames

* Thu Mar 28 2002 Than Ngo <than@redhat.com> 1.1.1-4
- fix conflicts with kdelibs and kde-i18n

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.1.1-3
- Revert to 1.1.1 branch, 1.2/2.0 won't be out in time.

* Wed Jan  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.1.1-2
- Rename kra*** to kopaint

* Fri Dec 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1.1-1
- 1.1.1

* Wed Aug 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-5
- Rebuild with new kdelibs

* Mon Aug 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-4
- Merge koffice-i18n into the package

* Thu Aug 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-3
- Add missing defattr to -devel (#52292)
- Remove dupes from kdeartwork-locolor (Part of #51589)

* Tue Aug 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-2
- Replace koshell icon (#51439)
- Move include files to the correct directory (/usr/include/kde rather than
  /usr/include)
- restore -devel package (it was lost in 1.1-1 for some reason)
- Don't own standard directories

* Tue Aug 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-1
- 1.1 final
- Add icon for koshell (#51439)

* Wed Jul 25 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-0.cvs20010725.1
- Increase Epoch

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-0.cvs20010724.1
- Don't build kivio on ia64 ATM (compiler bug)

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update 2.1
- fix dangling symlinks

* Fri Feb  2 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add ldconfig in %%post and %%postun, replace absolute symlinks
  with relative symlinks (#24878)

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't build on sparc and ia64 (Bug #23809)

* Sun Dec  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0.1

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH

* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Mon Oct  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS
- fix compilation

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- kill dupes from kdelibs

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Sun Aug  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update (fixed compilation with gcc 2.96 in CVS)
- work around compiler bugs on alpha

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move to /usr/lib/kde2

* Thu Jul 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Sun Jul 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot, new Qt

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't hardcode Qt version
- obsolete killustrator (powertools 6.x)
- SMPify

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Mon Jul  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sat Oct 23 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- Initial RPM
